#
# spec file for package python-python-urljr
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-python-urljr
Version:        1.0.1
Release:        lp152.3.2
Url:            http://openidenabled.com/python-openid/
Summary:        JanRain's URL Utilities
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         python-urljr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Provides:       python-urljr = %{version}
Obsoletes:      python-urljr < %{version}
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Common interface to urllib2 and curl for making HTTP requests.

%prep
%setup -q -n python-urljr-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/*

%changelog
* Tue Nov 29 2011 saschpe@suse.de
- Package COPYING, README
- SPDX-style license (LGPL-2.1+)
* Tue Nov 29 2011 idoenmez@suse.de
- Regenerate spec file with py2pack
- Update to v1.0.1
  * no changelog documented upstream
* Sun Jun 24 2007 mrueckert@suse.de
- initial package of version 1.0.0
